#include "stm32f10x.h"
#include <stdio.h>

extern void buffer_Init (void);
extern void USART1_init (void);

/*----------------------------------------------------------------------------
  MAIN function
 *----------------------------------------------------------------------------*/
int main (void) {
  buffer_Init();                             // RX / TX bufferek inicializlsa
  USART1_init();                             // USART1 configuration
  __enable_irq();                            // Megszaktsok globlis engedlyezse
  printf ("Interrupt driven Serial I/O Example\r\n\r\n");
  while (1) {                                // vgtelen ciklus
    unsigned char c;
    printf ("Press a key. ");
    c = getchar ();                          // Beolvasunk egy karaktert
    printf ("\r\n");
    printf ("You pressed '%c'.\r\n\r\n", c); // Kirjuk az eredmnyt
  }
}
